// Luca De Benedictis - Luca Salvatici ### GRAVITY ###
// EXAMPLE 1
// Day 2


clear all
set mem 1000m
set maxvar 20000
set matsize 7000
capture log close
log using "gravity.log", replace

cd "/Users/debene2/Dropbox/2015 - Lectures - Gravity/Stata do and dta files"

use dataset_def.dta

desc

*PART A. Variable Generation



g limports=ln(imports)
g lgdp_o=ln(gdp_o)
g lgdp_d=ln(gdp_d)
g ldist= ln(distw)
g ltariff=ln(1+s_average)

la var limports "Ln(Imports)"
la var colony "Colonial link"
la var comlang_off "Common language"
la var ldist "Ln(distance)"
la var lgdp_d "Ln(GDP_importer)"
la var lgdp_o "Ln(GDP_exporter)"
la var ltariff "Ln(1+Tariff)"

qui tab imp, g(dimp)
qui tab exp, g(dexp)
qui tab pair, g(dpair)
qui tab year, g(dyear)



*PART B. Regression Specifications: Aggregated data  

tsset  pair  year

eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dyear*, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp*, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear*, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dpair*
esttab using regressions1, title (aggregate-dummy policy) se ar2 label replac rtf b(2) star (* 0.10 ** 0.05 *** 0.01) se(2) mti drop (dexp* dimp* dyear* dpair*)
eststo clear

reg limports lgdp_d lgdp_o ldist contig colony comlang_off ltariff dimp* dexp* dyear*, robust
esttab using regressions1, title (aggregate-tariff) se ar2 label replac rtf b(2) star (* 0.10 ** 0.05 *** 0.01) se(2) mti drop (dexp* dimp* dyear*) append



****************************************************************************
////  Exercise 1: Do some sensitivity analysis through Sample splitting ////
****************************************************************************

*Example

sum gdp_o, detail
sum lgdp_o, detail

egen lgdp_o_cut = cut(lgdp_o), group(4)

table lgdp_o_cut, contents(n lgdp_o min lgdp_o max lgdp_o)


reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear* if lgdp_o_cut==0, robust

eststo clear
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear* if lgdp_o_cut==0, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear* if lgdp_o_cut==1, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear* if lgdp_o_cut==2, robust
eststo: reg limports lgdp_d lgdp_o ldist contig colony comlang_off rta dimp* dexp* dyear* if lgdp_o_cut==3, robust

esttab using regressions3, title (Sample splitting - dummy policy) se ar2 label replac rtf b(2) star (* 0.10 ** 0.05 *** 0.01) se(2) mti drop (dexp* dimp* dyear*)

*Do your own sample splitting

